#
# spec file for package yast2-debugger (Version 2.0.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake freetype2 gpp libgpp libjpeg liblcms libmng libmng-devel libpng libycp libycp-devel mesa mesa-devel mesasoft qt qt-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtool libycp libycp-devel libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         yast2-debugger
Copyright:    (c) 2001 SuSE GmbH
Group:        Development/Tools
Summary:      Debugger for YaST2 scripts
Version:      2.0.7
Release:      70
Source0:      yast2-debugger-2.0.7.tar.bz2

%description
This package contains the Qt-frontend for the in YaST2 integrated
debugger.

Authors:
--------
    Arvin Schnell <arvin@suse.de>

SuSE series: yast

%prep
%setup -n yast2-debugger-2.0.7

%build
%{?suse_update_config:%{suse_update_config -f}}
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
./configure
make

%install
make install-strip

%files
%dir /usr/lib/YaST2/bin
/usr/lib/YaST2/bin/ycpdebugger

%changelog -n yast2-debugger
* Sat Jul 07 2001 - arvin@suse.de
- neededforbuild += freetype2
* Fri Jun 22 2001 - arvin@suse.de
- adapt to new automake/autoconf
* Fri Apr 20 2001 - arvin@suse.de
- Better toolbar.
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Wed Mar 14 2001 - arvin@suse.de
- Handle tabs in source view correctly.
* Wed Mar 14 2001 - arvin@suse.de
- Two ycp expressions display: one for variables, one for tokens.
* Thu Mar 08 2001 - arvin@suse.de
- Colors in ycp expressions display.
* Wed Mar 07 2001 - arvin@suse.de
- Support for breakpoints.
- Implemented dialog to display ycp expressions in human
  readable form.
* Mon Mar 05 2001 - arvin@suse.de
- Initial version of the ycp debugger frontend.
